Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.util
Class SerializabilityTest

    java.lang.Object
      com.compoze.util.SerializabilityTest

public class SerializabilityTest
extends java.lang.Object

Tests a class for serializability.

Field Summary
`static int` | `RESULT_FAIL`
`static int` | `RESULT_PASS`
`static int` | `RESULT_UNKNOWN`

Constructor Summary
`SerializabilityTest()`

Method Summary
`static void` | `classDrill(java.lang.Class clazz, java.util.Set set)` Drills into a class's fields and adds all referenced classes.
`static java.lang.String` | `getStatusString(int iSer)` Gets a string associated with a serializability constant.
`static int` | `isSerializable(java.lang.Class clazz)` Determines whether a class implements serializable.
`static void` | `main(java.lang.String[] args)` Main.
`static int` | `testInstantiation(java.lang.Class clazz)` Tests an instantiation of the class to see if it is serializable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESULT_FAIL

    public static final int RESULT_FAIL

See Also:
  Constant Field Values

### RESULT_UNKNOWN

    public static final int RESULT_UNKNOWN

See Also:
  Constant Field Values

### RESULT_PASS

    public static final int RESULT_PASS

See Also:
  Constant Field Values

Constructor Detail

### SerializabilityTest

    public SerializabilityTest()

Method Detail

### classDrill

    public static void classDrill(java.lang.Class clazz,
                                  java.util.Set set)

  Drills into a class's fields and adds all referenced classes.

### isSerializable

    public static int isSerializable(java.lang.Class clazz)

  Determines whether a class implements serializable.

### testInstantiation

    public static int testInstantiation(java.lang.Class clazz)

  Tests an instantiation of the class to see if it is serializable.

### getStatusString

    public static java.lang.String getStatusString(int iSer)

  Gets a string associated with a serializability constant.

### main

    public static void main(java.lang.String[] args)

  Main.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.